﻿using System;
using System.Threading;

using AudioSwitcher.AudioApi.CoreAudio;

namespace TestProject
{
    /// <summary>
    /// 프로그램
    /// </summary>
    class Program
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region 프로그램 시작하기 - Main()

        /// <summary>
        /// 프로그램 시작하기
        /// </summary>
        private static void Main()
        {
            CoreAudioDevice coreAudioDevice = new CoreAudioController().DefaultPlaybackDevice;

            Console.WriteLine("현재 볼륨 : " + coreAudioDevice.Volume);

            while(true)
            {
                if(coreAudioDevice.Volume > 20)
                {
                    coreAudioDevice.Volume = 20;

                    Console.WriteLine("현재 볼륨 : " + coreAudioDevice.Volume);
                }
                else if(coreAudioDevice.Volume < 10)
                {
                    coreAudioDevice.Volume = 10;

                    Console.WriteLine("현재 볼륨 : " + coreAudioDevice.Volume);
                }

                Thread.Sleep(300);
            }
        }

        #endregion
    }
}